[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# FontResourceCache

Variable used as the cache for Font resources.

## Declaration

Source position: graphics.pp line 2024

`var FontResourceCache: TFontHandleCache;`

## Description

FontResourceCache is a TFontHandleCache variable used as the cache for Font resources. FontResourceCache allows reference-counted font handles to be created or retrieved when the ReferenceNeeded method in TFont is called. Values in FontResourceCache are maintained when the FreeReference method in TFont is called.

Resources for FontResourceCache are allocated when the Graphuic.pp unit is initialized, and freed when the unit is finalized.

## See also

TFontHandleCache |  | TFontHandleCache - a resource cache for font handles.